Уязвимость BDU:2022-01650

Дата: 12.01.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-01650.

Наименование уязвимости: Уязвимость функции TableLookUp::setTable библиотеки RawSpeed приложения для работы с фотографиями Darktable, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции TableLookUp::setTable библиотеки RawSpeed приложения для работы с фотографиями Darktable связана с записью за границами буфера. Эксплуатация уязвимости позволяет нарушителю, действующему удаленно, получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Debian GNU/Linux 9.0 | Операционная система Debian GNU/Linux 10.0 | Операционная система Debian GNU/Linux 11.0 | Прикладное ПО информационных систем Darktable до 2.6.0 |

Наименование ОС и тип аппаратной платформы: Debian GNU/Linux 90 | Debian GNU/Linux 100 | Debian GNU/Linux 110 |
Дата выявления: 12.01.2018.
CVSS 2.0: AV:N/AC:L/Au:N/C:P/I:P/A:P
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,5)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)

Возможные меры по устранению:
Для Darktable:
использование рекомендаций производителя: https://github.com/darktable-org/rawspeed/commit/dbe7591e54bad5e6430d38be6bed051582da76b9

Для Debian:
использование рекомендаций производителя: https://security-tracker.debian.org/tracker/CVE-2018-25017
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-25017.

Тип ошибки CWE: CWE-787
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=5256
https://github.com/darktable-org/rawspeed/commit/dbe7591e54bad5e6430d38be6bed051582da76b9
https://github.com/google/oss-fuzz-vulns/blob/main/vulns/librawspeed/OSV-2018-227.yaml
https://nvd.nist.gov/vuln/detail/CVE-2018-25017
https://security-tracker.debian.org/tracker/CVE-2018-25017

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.